Subject: [Sipping] More review of draft-ietf-sipping-service-examples-10.txt

From: [email-masked]
Date: Wed, 28 Jun 2006 11:34:57 -0400

Spurred by other reviewers, I reviewed the details of the example
messages in sections 2.16 and 2.17.

Section 2.16:

* Is <sips:[email-masked]> intended to be a GRUU?  If so,
to align it with draft-ietf-sip-gruu-09.txt, it should be replaced
with <sips:[email-masked];gruu>.

* The matter of using "Require: replaces" was discussed in my previous
report.

* Assuming that the user agents are at these hosts:

	Alice		client.atlanta.example.com
	Bob		client.biloxi.example.com
	Park Server	server.example.com
	Carol		client.chicago.example.com

Then the Via's in these messages should contain the following hosts
(and the received parameters in the responses should be adjusted
accordingly):

F1	client.atlanta.example.com
F2	client.atlanta.example.com
F3	client.atlanta.example.com
F4	client.atlanta.example.com

F7	server.example.com
F8	server.example.com

F10	server.example.com
	Missing received parameter.
F11	server.example.com
F12	client.atlanta.example.com
	-- also the method should be BYE, not ACK
F13	client.atlanta.example.com
F14	server.example.com
	The sipfrag in the body should have server.example.com
	in its Via.
	Also, the Via in the sipfrag is missing the branch and
	received parameters.  (RFC 3420 requires that any headers
	included in a message/sipfrag be included in their entirety.)
F15	server.example.com
F16	client.chicago.example.com
	Also, the from-tag and to-tag parameters in the Replaces
	header are reversed.
F17	client.chicago.example.com
F18	client.chicago.example.com

Section 2.17:

* [ditto] Is <sips:[email-masked]> intended to be a
GRUU?  If so, to align it with draft-ietf-sip-gruu-09.txt, it should
be replaced with <sips:[email-masked];gruu>.

* [ditto] The matter of using "Require: replaces" was discussed in my
previous report.

* Assuming that the user agents are at these hosts:

	Alice		client.atlanta.example.com
	Bob		client.biloxi.example.com
	Bill		pc.biloxi.example.com

Then the Via's in these messages should contain the following hosts
(and the received parameters in the responses should be adjusted
accordingly):

F6	Missing received parameter.
F7	The from-tag and to-tag parameters in the Replaces header
	are reversed.
F12	client.atlanta.example.com
F13	pc.biloxi.example.com
F15	client.biloxi.example.com
	Missing received parameter.
F16/F17	Should have a different branch parameter value than F3/F4

Dale

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP